package application

import (
	"fmt"
	"net/http"
)

func (h *ApplicationHandler) VehiclesManagementOverview(w http.ResponseWriter, r *http.Request) {
	h.Renderer.VehiclesManagementOverview(w, r)
}

func (h *ApplicationHandler) VehiclesFleetAdd(w http.ResponseWriter, r *http.Request) {
	if r.Method == "POST" {
		if err := r.ParseForm(); err != nil {
			fmt.Println(err)
			w.WriteHeader(http.StatusBadRequest)
			return
		}

		fmt.Println(r.Form)
		return
	}
	h.Renderer.VehiclesFleetAdd(w, r)
}
