package renderer

import "net/http"

const vehiclesmanagementMenu = "vehicles_management"

func (renderer *Renderer) VehiclesManagementOverview(w http.ResponseWriter, r *http.Request) {
	files := renderer.ThemeConfig.GetStringSlice("views.vehicles_management.overview.files")
	state := NewState(r, renderer.ThemeConfig, vehiclesmanagementMenu)

	renderer.Render("fleet", w, r, files, state)
}

func (renderer *Renderer) VehiclesFleetAdd(w http.ResponseWriter, r *http.Request) {
	files := renderer.ThemeConfig.GetStringSlice("views.vehicles_management.fleet_add.files")
	state := NewState(r, renderer.ThemeConfig, vehiclesmanagementMenu)

	renderer.Render("fleet", w, r, files, state)
}
